#include <stdint.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#define F_CPU 1000000ul
#include <util/delay.h>


volatile uint32_t code = 17052013;
volatile uint8_t pointer = 0;
	
	
int main(){
	
	DDRB |= (1 << PB3) | (1 << PB4);
	
	TCCR0B |= (1 << CS00) | (1 << CS01);
	TIMSK |= (1 << TOIE0);
	sei();
	
	
	while(1){
		
		PORTB |= (1 << PB4);
		_delay_ms(500);
		PORTB &= ~(1 << PB4);
		_delay_ms(500);
	}
	
	return 0;
}


ISR(TIMER0_OVF_vect){


	if(code & (((uint32_t) 1) << pointer)){
		
		PORTB |= (1 << PB3);
	}
	else{
		
		PORTB &= ~(1 << PB3);
	}
	
	++pointer;
	
	if(pointer == 32){
		
		pointer = 0;
	}
}
